<?php
#require_once("config/datenbankanbindung.php");

function gutachter_beteiligter_del($vid){
global $db;
/*
  Gutachterrolle (2)
  von Person löschen (imt_rollen_user_zuord)
  
  
  und es keine weiteren vorschläge gibt wo aktuelle Person als Gutachter benötigt wird und nicht abgeschlossen ist
  
  Schleife über alle Gutacher
*/
  $db = dbconnect();
  
  $result_abschl = $db->query("SELECT status
                                  FROM imt_verlauf
                                 WHERE vid = $vid
                                   AND status IN ('7', '8')
                                 ORDER BY datum DESC
                                 LIMIT 1");
  $row_abschl = $result_abschl->fetch_array();
  
  if($row_abschl[status] == '7' OR $row_abschl[status] == '8'){
    
    # Gutachter checken, ob die Ihre Gutachterrolle noch brauchen
    
    #1) Wer war den alles Gutachter beim aktuellen Vorschlag?
    $query_gutdel = "SELECT imtuid
                       FROM imt_gutachter
                      WHERE vid = '$vid'";
    
    $result_gutdel = $db->query ($query_gutdel)
                     or die ("Cannot execute query1");
    
    while ($row_gutdel = $result_gutdel->fetch_array()){
      
      # In welchen Vorschlägen war/ist der Gutachter noch beteiligt
      $query_gutdel1 = "SELECT distinct vid
                          FROM imt_gutachter
                         WHERE imtuid = '$row_gutdel[imtuid]'
                           AND vid != '$vid'";
      
      $result_gutdel1 = $db->query ($query_gutdel1)
                       or die ("Cannot execute query2");
      
      $ln_zaehler = 0;
      while ($row_gutdel1 = $result_gutdel1->fetch_array()){
        # Sind diese Vorschläge bereits abgeschlossen? Ist einer davon nicht abgeschlossen, 
        # dann kann die Rolle diesem Gutachter nicht weggenommen werden
        
        $gutachter = $row_gutdel[imtuid];
        $vid_cur = $row_gutdel1[vid];
        
          $result_abschl1 = $db->query("SELECT status
                                           FROM imt_verlauf
                                          WHERE vid = $vid_cur
                                            AND status IN ('7', '8')
                                          ORDER BY datum DESC
                                          LIMIT 1");
          $row_abschl1 = $result_abschl1->fetch_array();
          
          if($row_abschl1[status] != '7' AND $row_abschl1[status] != '8'){
            $ln_zaehler = $ln_zaehler + 1;
          }  
      }
      if($ln_zaehler == 0){
        $sql2 = $db->query("DELETE FROM imt_rollen_user_zuord WHERE roid = '2' AND imtuid='$gutachter'");
      }
    }
  
  
  ######### Beteiligte checken #########################
  
  
    # Beteiligte checken, ob die Ihre Gutachterrolle noch brauchen
    
    #1) Wer war den alles Beteiligter beim aktuellen Vorschlag?
    $query_betdel = "SELECT imtuid
                       FROM imt_beteiligte
                      WHERE vid = '$vid'";
    
    $result_betdel = $db->query ($query_betdel)
                     or die ("Cannot execute query1");
    
    while ($row_betdel = $result_betdel->fetch_array()){
      
      # In welchen Vorschlägen war/ist der Beteiligte noch beteiligt
      $query_betdel1 = "SELECT distinct vid
                          FROM imt_beteiligte
                         WHERE imtuid = '$row_betdel[imtuid]'
                           AND vid != '$vid'";
      
      $result_betdel1 = $db->query ($query_betdel1)
                       or die ("Cannot execute query2");
      
      $ln_zaehler1 = 0;
      while ($row_betdel1 = $result_betdel1->fetch_array()){
        # Sind diese Vorschläge bereits abgeschlossen? Ist einer davon nicht abgeschlossen, 
        # dann kann die Rolle diesem Gutachter nicht weggenommen werden
        
        $beteiligter = $row_betdel[imtuid];
        $vid_cur = $row_betdel1[vid];
        
          $result_abschl1 = $db->query("SELECT status
                                           FROM imt_verlauf
                                          WHERE vid = $vid_cur
                                            AND status IN ('7', '8')
                                          ORDER BY datum DESC
                                          LIMIT 1");
          $row_abschl1 = $result_abschl1->fetch_array();
          
          if($row_abschl1[status] != '7' AND $row_abschl1[status] != '8'){
            $ln_zaehler1 = $ln_zaehler1 + 1;
          }  
      }

      if($ln_zaehler1 == 0){
        $sql2 = $db->query("DELETE FROM imt_rollen_user_zuord WHERE roid = '3' AND imtuid='$beteiligter'");
      }
    }
  
  }  // if($row_abschl[status] == '7' OR $row_abschl[status] == '8'){

}

?>